## START: Set by rpmautospec
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global commit e01d67a864bbeeb8e15f35ad955aecafa52e4c3d

Name:           ndppd
Version:        0.2.5
Release:        %autorelease
Summary:        NDP Proxy Daemon

Group:          System Environment/Daemons
License:        GPLv3
URL:            https://github.com/DanielAdolfsson/ndppd
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        %{url}/raw/%{commit}/%{name}.service
Source2:        %{name}.conf

BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  systemd-rpm-macros

%description
ndppd, or NDP Proxy Daemon, is a daemon that proxies NDP (Neighbor
Discovery Protocol) messages between interfaces.

%prep
%setup -q

%build
%set_build_flags
%make_build

%install
%make_install PREFIX=/usr
install -Dpm0644 -t %{buildroot}%{_unitdir} %SOURCE1
install -Dpm0644 -t %{buildroot}%{_tmpfilesdir} %SOURCE2
install -dm0755 %{buildroot}/run/%{name}

%postun
%systemd_postun_with_restart ndppd.service

%post
%systemd_post ndppd.service

%preun
%systemd_preun ndppd.service

%files
%license LICENSE
%doc ChangeLog README
%{_sbindir}/ndppd
%{_mandir}/man1/ndppd.1.gz
%{_mandir}/man5/ndppd.conf.5.gz
%{_tmpfilesdir}/ndppd.conf
%{_unitdir}/ndppd.service
%dir /run/%{name}

%changelog
* Tue Aug 03 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.2.5-1
- Initial package; Fixes: RHBZ#1982772
